boost::geometry::point_iterator< Geometry > Class Template Reference

List of all members.

## Public Member Functions

| point_iterator ()
template<typename OtherGeometry >
| point_iterator (point_iterator< OtherGeometry > const &other)

## Friends

class | point_iterator
template<typename G >
point_iterator< G > | points_begin (G &)
template<typename G >
point_iterator< G > | points_end (G &)

### template<typename Geometry>
class boost::geometry::point_iterator< Geometry >

## Constructor & Destructor Documentation

template<typename Geometry >

boost::geometry::point_iterator< Geometry >::point_iterator | ( |  | ) |

template<typename Geometry >
template<typename OtherGeometry >

boost::geometry::point_iterator< Geometry >::point_iterator | ( | point_iterator< OtherGeometry > const & | other | ) |

## Friends And Related Function Documentation

template<typename Geometry >

friend class point_iterator `[friend]`

template<typename Geometry >
template<typename G >

point_iterator<G> points_begin | ( | G & |  | ) | `[friend]`

template<typename Geometry >
template<typename G >

point_iterator<G> points_end | ( | G & |  | ) | `[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK